Bug 61113 - [NEW PORT] databases/fpc-odbc
Summary: [NEW PORT] databases/fpc-odbc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-09 08:30 UTC by John Merryweather Cooper
Modified: 2004-01-16 00:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2004-01-09 08:30:15 UTC
	databases/fpc-odbc is a Free Pascal unit providing an interface
	to ODBC.  It is part of the base set of units.

Fix: 

--------------070804030608010503090500----dFuu6hkK15MslGYdVkssscPPWEm1vSPpZ9E570j8ogDPETvA
Content-Type: text/plain; name="new-port-fpc-odbc-1.0.10"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="new-port-fpc-odbc-1.0.10"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	fpc-odbc
#	fpc-odbc/Makefile
#	fpc-odbc/distinfo
#	fpc-odbc/pkg-descr
#	fpc-odbc/pkg-plist
#
echo c - fpc-odbc
mkdir -p fpc-odbc > /dev/null 2>&1
echo x - fpc-odbc/Makefile
sed 's/^X//' >fpc-odbc/Makefile << 'END-of-fpc-odbc/Makefile'
X# New ports collection makefile for:	Free Pascal Compiler
X# Date created: 			8 January 2004
X# Whom: 				John Merryweather Cooper
X#
X# $FreeBSD: ports/lang/fpc/Makefile,v 1.10 2004/01/07 10:14:04 znerd Exp $
X#
X
XPORTNAME=	odbc
XPORTVERSION=	1.0.10
XCATEGORIES=	databases lang
XMASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		http://planetmirror.com/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/FreeBSD/ \
X		ftp://freepascal.stack.nl/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.no.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.us.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	freepascal
XPKGNAMEPREFIX=	fpc-
XDISTNAME=	fpc-${PORTVERSION}.ELF
XEXTRACT_SUFX=	.tar
X
XMAINTAINER=	coop9211@uidaho.edu
XCOMMENT=	Free Pascal interface to ODBC
X
X.include <bsd.port.pre.mk>
X
XLIB_DEPENDS=	odbc.1:${PORTSDIR}/databases/unixODBC
XBUILD_DEPENDS=	ppc386:${PORTSDIR}/lang/fpc
XRUN_DEPENDS=	${BUILD_DEPENDS}
X.if ${OSVERSION} >= 500000
XLIB_DEPENDS+=   c.4:${PORTSDIR}/misc/compat4x
X.endif
X.if ${OSVERSION} < 470000
XEXTRACT_DEPENDS=	gtar:${PORTSDIR}/archivers/gtar
XTAR=			${LOCALBASE}/bin/gtar
X.endif
XUSE_GMAKE=	yes
XUSE_REINPLACE=	yes
XONLY_FOR_ARCHS=	i386
X
XPLIST_SUB+=	PORTVERSION=${PORTVERSION}
X
XMAKE_ENV+=	PATH=${LOCALBASE}/bin:$$PATH \
X		FPC=${LOCALBASE}/bin/ppc386 \
X		INSTALL_BASEDIR=${PREFIX}/lib/fpc/${PORTVERSION} \
X		INSTALL_BINDIR=${PREFIX}/bin \
X		GCCLIBDIR=/usr/lib \
X		RELEASE=1
X
Xdo-extract:
X# unpack distribution
X	@${MKDIR} ${WRKSRC}
X	@${TAR} xf ${DISTDIR}/${DISTNAME}.tar --directory ${WRKSRC}
X# unpack sources distribution
X	@${MKDIR} ${WRKSRC}/sources
X	@${TAR} xf ${WRKSRC}/sources.tar --directory ${WRKSRC}/sources
X# further extract base sources
X#
X# odbc sources
X	@${TAR} zxf ${WRKSRC}/sources/unitsodbcsrc.tar.gz \
X		--directory ${WRKSRC}
X
Xpost-patch:
X# change to alter amount of optimization
X	@${FIND} ${WRKSRC}/share/src/fpc-${PORTVERSION} -name \
X		"Makefile*" | ${XARGS} ${REINPLACE_CMD} 's|-OG2p3|-OG2p1|g'
X
Xdo-build:
X	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/odbc && \
X		${GMAKE} ${MAKE_ENV} all
X
Xdo-install:
X	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/odbc && \
X		${GMAKE} ${MAKE_ENV} install
X
X.include <bsd.port.post.mk>
END-of-fpc-odbc/Makefile
echo x - fpc-odbc/distinfo
sed 's/^X//' >fpc-odbc/distinfo << 'END-of-fpc-odbc/distinfo'
XMD5 (fpc-1.0.10.ELF.tar) = 6ad56eb115152174683499da3ece7667
END-of-fpc-odbc/distinfo
echo x - fpc-odbc/pkg-descr
sed 's/^X//' >fpc-odbc/pkg-descr << 'END-of-fpc-odbc/pkg-descr'
XOdbc is part of the base packages of Free Pascal, a 32-bit
XTurbo Pascal/Delphi compatible compiler.  Odbc provides an
Xinterface to ODBC.
X
XWWW: http://www.freepascal.org/
X
X--
XJohn Merryweather Cooper <coop9211@uidaho.edu>
END-of-fpc-odbc/pkg-descr
echo x - fpc-odbc/pkg-plist
sed 's/^X//' >fpc-odbc/pkg-plist << 'END-of-fpc-odbc/pkg-plist'
Xlib/fpc/%%PORTVERSION%%/units/freebsd/odbc/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/freebsd/odbc/odbcsql.o
Xlib/fpc/%%PORTVERSION%%/units/freebsd/odbc/odbcsql.ppu
X@dirrm lib/fpc/%%PORTVERSION%%/units/freebsd/odbc
X@dirrm lib/fpc/%%PORTVERSION%%/units/freebsd
X@dirrm lib/fpc/%%PORTVERSION%%/units
X@dirrm lib/fpc/%%PORTVERSION%%
X@dirrm lib/fpc
END-of-fpc-odbc/pkg-plist
exit
How-To-Repeat: 	N/A
Comment 1 Ying-Chieh Liao freebsd_committer 2004-01-16 00:49:49 UTC
State Changed
From-To: open->closed

committed, thanks